Bug 1013011 - SSG OVAL results validation issue: ind-def:pid datatype
SSG OVAL results validation issue: ind-def:pid datatype
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openscap (Show other bugs)
6.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Šimon Lukašík
Eduard Benes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 11:09 EDT by Lukas "krteknet" Novy
Modified: 2014-04-30 08:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-30 08:30:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas "krteknet" Novy 2013-09-27 11:09:40 EDT
Description of problem:
Evaluation of SSG XCCDF content outputs OVAL xml result file that is not valid.

Version-Release number of selected component (if applicable):
openscap-0.9.12-1.el6
scap-security-guide git tree 27a6a0a90454d660b57c1262821db2a968246938

How reproducible:
Always

Steps to Reproduce:
1. Checkout SSG at mentioned commit
2. Build content using make -C ssg/RHEL6
3. Evaluate the content's 'common' profile: oscap xccdf eval --profile common --results ssg-xccdf-results.xml --oval-results ssg/RHEL6/output/ssg-rhel6-xccdf.xml
4. Validate the OVAL results file: oscap oval validate-xml --results --schematron ssg-rhel6-oval.xml.result.xml

Actual results:

<?xml version="1.0"?>
oval:ssg:obj:1360 - The datatype for the ind-def:pid entity is 'int' but the value is not an integer.

Invalid OVAL Results content(5.10) in ssg-rhel6-oval.xml.result.xml.

Expected results:
Validation passes

Additional info:
See related Bug 860984 for more info.
Comment 2 Šimon Lukašík 2013-10-02 08:08:59 EDT
openscap.git 3d8131fd528ea5a59c641e546c6a7ece1867f2b6
Comment 5 Šimon Lukašík 2014-04-30 08:30:19 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of CURRENT RELEASE.

For information on the advisory, and where to find the updated
files, follow the link below.

http://rhn.redhat.com/errata/RHBA-2014-0450.html

If the solution does not work for you, open a new bug report.

Note You need to log in before you can comment on or make changes to this bug.